Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util.queue
Class QueueInfo

    java.lang.Object
      org.mule.util.queue.QueueInfo

    public class QueueInfo

extends Object

Stores information about a Queue

Field Summary
`protected QueueConfiguration` | `config`
`protected LinkedList` | `list`
`protected String` | `name`

Constructor Summary
`QueueInfo()`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getName()`
`int` | `hashCode()`
`boolean` | `offer(Object o, int room, long timeout)`
`Object` | `peek()`
`Object` | `poll(long timeout)`
`void` | `putNow(Object o)`
`void` | `untake(Object item)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### list

    protected LinkedList list

### name

    protected String name

### config

    protected QueueConfiguration config

Constructor Detail

### QueueInfo

    public QueueInfo()

Method Detail

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getName

    public String getName()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### putNow

    public void putNow(Object o)

### offer

    public boolean offer(Object o,
                         int room,
                         long timeout)
                  throws InterruptedException

  Throws:
    `InterruptedException`

### poll

    public Object poll(long timeout)
                throws InterruptedException

  Throws:
    `InterruptedException`

### peek

    public Object peek()
                throws InterruptedException

  Throws:
    `InterruptedException`

### untake

    public void untake(Object item)
                throws InterruptedException

  Throws:
    `InterruptedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.